<div class="create-site-request">
    <app-content-banner [isDashboard]="false" pageName="Request a New Site"></app-content-banner>
    <form [formGroup]="siteCreateForm" (ngSubmit)="onSubmit()">
    <mat-card  class="sp-main-card">
     <mat-card-content class="regular-mat-form-field">
     <!--   <div  fxLayout="row"   class="div-row" fxLayoutGap="10px" >
            <div  *ngFor="let s of sites"  class="left-text">
                <button type="button" mat-raised-button color="primary" 
                  >{{s.name | uppercase  }}</button>
            </div>                
        </div>-->

        <mat-tab-group dynamicHeight  [(selectedIndex)]="tabSiteSelectedIndex" (selectedTabChange)="tabSiteChanged($event)" >
            <mat-tab *ngFor="let s of sites"  >
              <ng-template matTabLabel>
                <span>{{s.name | uppercase  }}</span>
              </ng-template>
              <ng-template matTabContent>
                  <div  >
                     
                  </div>
              </ng-template>
            </mat-tab>
            </mat-tab-group>      
        <div fxLayout="row"   fxLayoutGap="10px"  fxLayoutAlign="center"   >
            <label> &nbsp;</label>  
          </div>
    
        <div  fxLayout="row"   class="div-row" fxLayoutGap="10px" >
            <div fxFlex="10" class="left-text">
                <span style="font-weight: 700;">Agency Name :  &nbsp;</span> 
              </div>    
              <div fxFlex="40" class="right-text regular-mat-form-field">
                  <mat-form-field  appearance="outline" style='width:500px'>
                      <mat-select  formControlName="agencyCtrl"  [(ngModel)]="site.agencyID"  placeholder="Select">
                        <mat-option *ngFor="let agency of agencyList" [value]="agency.agencyID" >
                          {{agency.agencyNo}} - {{agency.name}}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
              </div>
        </div>
       
         <div class="div-border">    
        <div fxLayout="row"   fxLayoutGap="10px"    >
                <div   fxFlex="20"  fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px" >
                        <label class="required-label-color" >Site Name</label>  
                    <input type="hidden" [(ngModel)]="site.siteID" formControlName="hdnsiteIDCtrl" />
                    <mat-form-field  appearance="outline" >
                       
                        <input type="text" matInput [(ngModel)]="site.name" class="txtuppercase" formControlName="siteNameCtrl" maxlength="100" />
                        </mat-form-field>
                </div>
                <div   fxFlex="20"    fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                        <label class="required-label-color">Site Address</label>  
                    <mat-form-field appearance="outline" >
                        <textarea matInput  maxlength="200" [(ngModel)]="site.address" rows="4" class="txtuppercase" formControlName="addressCtrl"   > 
                          </textarea>
                        </mat-form-field>
               </div>
                <div   fxFlex="15"   fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                        <label class="required-label-color">City</label>  
                    <mat-form-field appearance="outline"   >
                        <input alphabetSpace matInput type="text" [(ngModel)]="site.city" class="txtuppercase" formControlName="cityCtrl" maxlength="50" />
                        </mat-form-field>
                </div>
                <div   fxFlex="15"   fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                    <label class="required-label-color">State</label>  
                    <mat-form-field appearance="outline"  >
                      <input alphabetOnly matInput type="text" [(ngModel)]="site.state" class="txtuppercase" formControlName="stateCtrl"  maxlength="2" />
                    </mat-form-field>
              </div>
              <div   fxFlex="15"   fxLayoutAlign="left" fxLayout="column" fxLayoutGap="5px">
                  <label class="required-label-color">Zip</label>  
                  <mat-form-field appearance="outline"  >
                    <input matInput digitOnly [(ngModel)]="site.zip"  formControlName="zipCtrl" maxlength="5"  />
                  </mat-form-field>
              </div>
               
                <div fxFlex="10"  fxLayout="column" fxLayoutGap="5px" *ngIf="sites.length==0">
                        <label> &nbsp;</label>  
                    <button type="button" mat-raised-button color="primary"
                    (click)="addnewSites()">Add New Site</button>
                    <button mat-raised-button color="primary" (click)="clearsite()">Clear</button>
                    <!-- <button mat-raised-button color="primary" (click)="removeSites()">Remove Site</button> -->
                </div>
        </div>
        <div fxLayout="row"   fxLayoutGap="10px"     >
            <div   fxFlex="30"   fxLayoutGap="5px" >
                    
                <label class="required-label-color" >Borough &nbsp; &nbsp; </label>  
                <mat-form-field  appearance="outline" >
                        <mat-select  formControlName="siteBoroughTypeCtrl"  [(ngModel)]="site.boroughType"  placeholder="Select">
                          <mat-option *ngFor="let siteBorough of boroughTypes" [value]="siteBorough.refGroupDetailID" >
                                {{siteBorough.refGroupDetailDescription}}
                          </mat-option>
                        </mat-select>
                      </mat-form-field>
            </div>
            <div   fxFlex="30"   fxLayoutGap="5px" >
                <label class="required-label-color">Is this a housing provider Site ? &nbsp;&nbsp; </label>  
                <mat-radio-group  fxLayoutGap="20px" formControlName="isHousingProviderSiteCtrl" name="isHousingProviderSiteCtrl">
                  <mat-radio-button  *ngFor="let ynValue of isYesNoList" [value]="ynValue.refGroupDetailID">
                        {{ynValue.refGroupDetailDescription}} 
                  </mat-radio-button>
                </mat-radio-group>
            </div>    
        </div>
    </div>
   <div fxLayout="row" class="div-border"  fxLayoutGap="10px"  fxLayoutAlign="center"   >
        <label> &nbsp;</label>  
    <button type="button" mat-raised-button color="primary" (click)="proceed()">Proceed</button>
      </div>

    </mat-card-content>
    </mat-card>
    </form>
  </div>
  
